=== debian/changelog ===
libcsfml (2.4-2) unstable; urgency=medium

  * Upload to unstable.

  * debian/control:
    - Bump standards to 4.0.0 (no changes required).

 -- James Cowgill <jcowgill@debian.org>  Mon, 19 Jun 2017 10:43:21 +0100

libcsfml (2.4-1) experimental; urgency=medium

  * New upstream version.
    - Bump SFML build dependency to 2.4.
    - Rename packages for SONAME bump.
    - Update symbols files for 2.4.

  * debian/control:
    - Use debhelper compat 10.
    - Run wrap-and-sort -s.
  * debian/rules:
    - Remove obsolete dh_strip override.

 -- James Cowgill <jcowgill@debian.org>  Fri, 03 Mar 2017 23:34:44 +0000
