=== debian/control ===
Source: libcsfml
Section: libs
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Christoph Egger <christoph@debian.org>,
 James Cowgill <jcowgill@debian.org>
Build-Depends:
 cmake (>= 2.8.9),
 debhelper (>= 10),
 doxygen,
 libsfml-dev (>= 2.4)
Standards-Version: 4.0.0
Homepage: http://www.sfml-dev.org
Vcs-Git: https://anonscm.debian.org/git/pkg-games/libcsfml.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-games/libcsfml.git
Testsuite: autopkgtest

Package: libcsfml-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libcsfml-audio2.4 (= ${binary:Version}),
 libcsfml-graphics2.4 (= ${binary:Version}),
 libcsfml-network2.4 (= ${binary:Version}),
 libcsfml-system2.4 (= ${binary:Version}),
 libcsfml-window2.4 (= ${binary:Version}),
 libgl1-mesa-dev | libgl-dev,
 libglu1-mesa-dev | libglu-dev,
 ${misc:Depends}
Suggests: libcsfml-doc
Description: Libraries for the C Binding of SFML - Development Files
 SFML is a modern multimedia library offering a wide range of subsystems
 useful to produce a multimedia app. It offers OpenGL integration for
 Hardware accelerated Graphics, Windowing and Input support, Audio and
 Network facilities and supports GNU/Linux, MS Windows and Mac OS X.
 CSFML provides the bindings needed to use SFML with the C programming
 language.
 .
 This package provides the development files for the C Binding

Package: libcsfml-doc
Section: doc
Architecture: all
Depends: libjs-jquery, ${misc:Depends}
Description: Libraries for the C Binding of SFML - Documentation
 SFML is a modern multimedia library offering a wide range of subsystems
 useful to produce a multimedia app. It offers OpenGL integration for
 Hardware accelerated Graphics, Windowing and Input support, Audio and
 Network facilities and supports GNU/Linux, MS Windows and Mac OS X.
 CSFML provides the bindings needed to use SFML with the C programming
 language.
 .
 This package includes documentation for all CSFML libraries.

Package: libcsfml-audio2.4
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Libraries for the C Binding of SFML - Audio Part
 SFML is a modern multimedia library offering a wide range of subsystems
 useful to produce a multimedia app. It offers OpenGL integration for
 Hardware accelerated Graphics, Windowing and Input support, Audio and
 Network facilities and supports GNU/Linux, MS Windows and Mac OS X.
 CSFML provides the bindings needed to use SFML with the C programming
 language.
 .
 The Audio library is used to play sound and music in games. It is able to
 load OGG/Vorbis files.

Package: libcsfml-graphics2.4
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Libraries for the C Binding of SFML - Graphics Part
 SFML is a modern multimedia library offering a wide range of subsystems
 useful to produce a multimedia app. It offers OpenGL integration for
 Hardware accelerated Graphics, Windowing and Input support, Audio and
 Network facilities and supports GNU/Linux, MS Windows and Mac OS X.
 CSFML provides the bindings needed to use SFML with the C programming
 language.
 .
 The Graphics library contains all the OpenGL and drawing code. It needs the
 Window library for Window creation.

Package: libcsfml-system2.4
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Libraries for the C Binding of SFML - System Part
 SFML is a modern multimedia library offering a wide range of subsystems
 useful to produce a multimedia app. It offers OpenGL integration for
 Hardware accelerated Graphics, Windowing and Input support, Audio and
 Network facilities and supports GNU/Linux, MS Windows and Mac OS X.
 CSFML provides the bindings needed to use SFML with the C programming
 language.
 .
 The system library brings useful system utilities like multithreading and
 UNICODE handling

Package: libcsfml-network2.4
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Libraries for the C Binding of SFML - Network Part
 SFML is a modern multimedia library offering a wide range of subsystems
 useful to produce a multimedia app. It offers OpenGL integration for
 Hardware accelerated Graphics, Windowing and Input support, Audio and
 Network facilities and supports GNU/Linux, MS Windows and Mac OS X.
 CSFML provides the bindings needed to use SFML with the C programming
 language.
 .
 The Network Library brings basic networking support as needed by games.

Package: libcsfml-window2.4
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Libraries for the C Binding of SFML - Window Part
 SFML is a modern multimedia library offering a wide range of subsystems
 useful to produce a multimedia app. It offers OpenGL integration for
 Hardware accelerated Graphics, Windowing and Input support, Audio and
 Network facilities and supports GNU/Linux, MS Windows and Mac OS X.
 CSFML provides the bindings needed to use SFML with the C programming
 language.
 .
 The Window library provides basic utilities for creating and managing Windows
