=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DLIB_SUFFIX=/$(DEB_HOST_MULTIARCH) -DCSFML_BUILD_DOC=ON \
		-DCMAKE_MODULE_PATH=/usr/share/SFML/cmake/Modules

override_dh_auto_build:
	dh_auto_build -- all doc
