=== debian/changelog ===
libcsfml (2.5-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 24 Mar 2020 15:05:49 +0100

libcsfml (2.5-1) unstable; urgency=medium

  * New upstream version.
  * Rename all library packages for SONAME bump.
  * Drop patch to allow building on GNU/Hurd.
  * Drop patch to remove commented out googleapi css.

  * d/control:
    - Bump standards version to 4.2.1.
    - Mark libcsfml-doc multi-arch foriegn
  * d/*.symbols: Add new symbols in 2.5.
  * d/libcsfml-doc.doc-base: Fix path to index page.

 -- James Cowgill <jcowgill@debian.org>  Sun, 04 Nov 2018 17:44:54 +0000

libcsfml (2.4-4) unstable; urgency=medium

  [ James Cowgill ]
  * debian/compat: Use debhelper compat 11.
  * debian/control:
    - Use secure Homepage URL.
    - Switch Vcs URLs to salsa.debian.org.
    - Remove Testsuite: autopkgtest field.
    - Set Rules-Requires-Root: no.
    - Bump standards version to 4.1.4.
  * debian/copyright:
    - Update copyright years.
    - Use secure copyright Format URL.
  * debian/libcsfml-doc.docs: Remove debian/tmp/ prefix.
  * debian/libcsfml-doc.doc-base:
    - Fix paths to point to /usr/share/doc/libcsfml-dev.
  * debian/libcsfml-doc.links:
    - Remove jquery symlink.
  * debian/patches:
    - Add patch to use SFML 2.5 CMake config scripts in the build system.
      (Closes: #898913)
  * debian/rules:
    - Use /usr/share/dpkg/architecture.mk to define DEB_HOST_MULTIARCH.
    - Remove now unused CMAKE_MODULE_PATH define from configure override.

  [ Christoph Egger ]
  * Remove myself from uploaders.

 -- James Cowgill <jcowgill@debian.org>  Thu, 17 May 2018 16:57:59 +0100
