## libcsfml 2.5.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,4 @@
-
-cmake_minimum_required(VERSION 2.8.3)
+cmake_minimum_required(VERSION 3.7.2)
 
 # define a macro that helps defining an option
 macro(csfml_set_option var default type docstring)
@@ -14,18 +13,10 @@
 csfml_set_option(CMAKE_BUILD_TYPE Release STRING "Choose the type of build (Debug or Release)")
 
 # project name
-project(CSFML)
+project(CSFML VERSION 2.5.2)
 
 # include the configuration file
-include(${CMAKE_SOURCE_DIR}/cmake/Config.cmake)
-
-# setup version numbers
-set(VERSION_MAJOR 2)
-set(VERSION_MINOR 5)
-set(VERSION_PATCH 0)
-
-# add the CSFML header path
-include_directories(${CMAKE_SOURCE_DIR}/include)
+include(${PROJECT_SOURCE_DIR}/cmake/Config.cmake)
 
 # add an option for choosing the build type (shared or static)
 csfml_set_option(BUILD_SHARED_LIBS TRUE BOOL "TRUE to build CSFML as shared libraries, FALSE to build it as static libraries")
@@ -72,5 +63,5 @@
         DESTINATION .
         COMPONENT devel
         PATTERN ".svn" EXCLUDE)
-install(FILES license.txt DESTINATION ${INSTALL_MISC_DIR})
-install(FILES readme.txt DESTINATION ${INSTALL_MISC_DIR})
+install(FILES license.md DESTINATION ${INSTALL_MISC_DIR})
+install(FILES readme.md DESTINATION ${INSTALL_MISC_DIR})
