=== src/SFML/Window/CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 
-set(INCROOT ${CMAKE_SOURCE_DIR}/include/SFML/Window)
-set(SRCROOT ${CMAKE_SOURCE_DIR}/src/SFML/Window)
+set(INCROOT ${PROJECT_SOURCE_DIR}/include/SFML/Window)
+set(SRCROOT ${PROJECT_SOURCE_DIR}/src/SFML/Window)
 
 # all source files
 set(SRC
