=== debian/changelog ===
libcsfml (2.5.2-1build1) noble; urgency=medium

  * Rebuild against latest libsfml

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 18 Feb 2024 13:18:04 -0500

libcsfml (2.5.2-1) unstable; urgency=medium

  * New upstream release.
    - Fix declaration of sfText_getLineSpacing. (LP: #1877632)

  * d/copyright: Update dates.
  * d/control:
    - Use debhelper 13.
    - Drop useless cmake version restriction.
    - Remove dependencies on obsolete GL packages.
    - Bump standards version to 4.6.2.
  * d/patches:
    - Graphics/Texture: Restore sfTexture_setSrgb for ABI compatibility.
  * d/*.symbols: Add new symbols.
  * d/tests: Replace $ADTTMP with $AUTOPKGTEST_TMP.
  * d/upstream: Add upstream metadata file.
  * d/watch: Use version 4

 -- James Cowgill <jcowgill@debian.org>  Thu, 30 Nov 2023 15:56:02 +0000

libcsfml (2.5-1.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Tue, 05 Jan 2021 01:02:28 +0100
