=== debian/control ===
--- 
+++ 
@@ -3,31 +3,30 @@
 Priority: optional
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders:
- Christoph Egger <christoph@debian.org>,
  James Cowgill <jcowgill@debian.org>
 Build-Depends:
- cmake (>= 2.8.9),
- debhelper (>= 10),
+ cmake,
+ debhelper-compat (= 13),
  doxygen,
- libsfml-dev (>= 2.4)
-Standards-Version: 4.0.0
-Homepage: http://www.sfml-dev.org
-Vcs-Git: https://anonscm.debian.org/git/pkg-games/libcsfml.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-games/libcsfml.git
-Testsuite: autopkgtest
+ libsfml-dev (>= 2.5)
+Rules-Requires-Root: no
+Standards-Version: 4.6.2
+Homepage: https://www.sfml-dev.org
+Vcs-Git: https://salsa.debian.org/games-team/libcsfml.git
+Vcs-Browser: https://salsa.debian.org/games-team/libcsfml
 
 Package: libcsfml-dev
 Section: libdevel
 Architecture: any
 Multi-Arch: same
 Depends:
- libcsfml-audio2.4 (= ${binary:Version}),
- libcsfml-graphics2.4 (= ${binary:Version}),
- libcsfml-network2.4 (= ${binary:Version}),
- libcsfml-system2.4 (= ${binary:Version}),
- libcsfml-window2.4 (= ${binary:Version}),
- libgl1-mesa-dev | libgl-dev,
- libglu1-mesa-dev | libglu-dev,
+ libcsfml-audio2.5 (= ${binary:Version}),
+ libcsfml-graphics2.5 (= ${binary:Version}),
+ libcsfml-network2.5 (= ${binary:Version}),
+ libcsfml-system2.5 (= ${binary:Version}),
+ libcsfml-window2.5 (= ${binary:Version}),
+ libgl-dev,
+ libglu-dev,
  ${misc:Depends}
 Suggests: libcsfml-doc
 Description: Libraries for the C Binding of SFML - Development Files
@@ -43,7 +42,8 @@
 Package: libcsfml-doc
 Section: doc
 Architecture: all
-Depends: libjs-jquery, ${misc:Depends}
+Multi-Arch: foreign
+Depends: ${misc:Depends}
 Description: Libraries for the C Binding of SFML - Documentation
  SFML is a modern multimedia library offering a wide range of subsystems
  useful to produce a multimedia app. It offers OpenGL integration for
@@ -54,7 +54,7 @@
  .
  This package includes documentation for all CSFML libraries.
 
-Package: libcsfml-audio2.4
+Package: libcsfml-audio2.5
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
@@ -70,7 +70,7 @@
  The Audio library is used to play sound and music in games. It is able to
  load OGG/Vorbis files.
 
-Package: libcsfml-graphics2.4
+Package: libcsfml-graphics2.5
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
@@ -86,7 +86,7 @@
  The Graphics library contains all the OpenGL and drawing code. It needs the
  Window library for Window creation.
 
-Package: libcsfml-system2.4
+Package: libcsfml-system2.5
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
@@ -102,7 +102,7 @@
  The system library brings useful system utilities like multithreading and
  UNICODE handling
 
-Package: libcsfml-network2.4
+Package: libcsfml-network2.5
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
@@ -117,7 +117,7 @@
  .
  The Network Library brings basic networking support as needed by games.
 
-Package: libcsfml-window2.4
+Package: libcsfml-window2.5
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
