=== src/SFML/Graphics/CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 
-set(INCROOT ${CMAKE_SOURCE_DIR}/include/SFML/Graphics)
-set(SRCROOT ${CMAKE_SOURCE_DIR}/src/SFML/Graphics)
+set(INCROOT ${PROJECT_SOURCE_DIR}/include/SFML/Graphics)
+set(SRCROOT ${PROJECT_SOURCE_DIR}/src/SFML/Graphics)
 
 # all source files
 set(SRC
@@ -30,6 +30,7 @@
     ${SRCROOT}/RectangleShape.cpp
     ${SRCROOT}/RectangleShapeStruct.h
     ${INCROOT}/RectangleShape.h
+    ${SRCROOT}/RenderStates.cpp
     ${SRCROOT}/RenderTexture.cpp
     ${SRCROOT}/RenderTextureStruct.h
     ${INCROOT}/RenderTexture.h
