=== src/SFML/Main/CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 
 # define the csfml-main target
-add_library(csfml-main STATIC ${CMAKE_SOURCE_DIR}/src/SFML/Main/SFML_Main.cpp)
+add_library(csfml-main STATIC ${PROJECT_SOURCE_DIR}/src/SFML/Main/SFML_Main.cpp)
 
 # set the debug suffix
 set_target_properties(csfml-main PROPERTIES DEBUG_POSTFIX -d)
