=== debian/changelog ===
libcsfml (2.6.0-3build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 01:53:18 +0000

libcsfml (2.6.0-3) unstable; urgency=medium

  * Source only re-upload.

 -- James Cowgill <jcowgill@debian.org>  Sat, 02 Mar 2024 19:03:54 +0000

libcsfml (2.6.0-2) unstable; urgency=medium

  * Re-upload with built packages.

 -- James Cowgill <jcowgill@debian.org>  Thu, 29 Feb 2024 01:00:24 +0000

libcsfml (2.6.0-1) unstable; urgency=medium

  * New upstream release.
  * Rename library packages for SONAME bump.

  * d/control: Add libsfml-dev dependency to libcsfml-dev.
  * d/copyright: Bump debian copyright year.
  * d/libcsfml-dev.install: Install pkg-config files.
  * d/patches: Revert sfTexture_setSrgb ABI compatibility patch.
    Patch not needed with 2.6.
  * d/tests: Add pkg-config tests.

 -- James Cowgill <jcowgill@debian.org>  Wed, 28 Feb 2024 23:49:42 +0000
