=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: libcsfml
 Section: libs
 Priority: optional
-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders:
  James Cowgill <jcowgill@debian.org>
 Build-Depends:
  cmake,
  debhelper-compat (= 13),
  doxygen,
- libsfml-dev (>= 2.5)
+ libsfml-dev (>= 2.6)
 Rules-Requires-Root: no
 Standards-Version: 4.6.2
 Homepage: https://www.sfml-dev.org
@@ -20,13 +21,14 @@
 Architecture: any
 Multi-Arch: same
 Depends:
- libcsfml-audio2.5 (= ${binary:Version}),
- libcsfml-graphics2.5 (= ${binary:Version}),
- libcsfml-network2.5 (= ${binary:Version}),
- libcsfml-system2.5 (= ${binary:Version}),
- libcsfml-window2.5 (= ${binary:Version}),
+ libcsfml-audio2.6 (= ${binary:Version}),
+ libcsfml-graphics2.6 (= ${binary:Version}),
+ libcsfml-network2.6 (= ${binary:Version}),
+ libcsfml-system2.6 (= ${binary:Version}),
+ libcsfml-window2.6 (= ${binary:Version}),
  libgl-dev,
  libglu-dev,
+ libsfml-dev (>= 2.6),
  ${misc:Depends}
 Suggests: libcsfml-doc
 Description: Libraries for the C Binding of SFML - Development Files
@@ -54,7 +56,7 @@
  .
  This package includes documentation for all CSFML libraries.
 
-Package: libcsfml-audio2.5
+Package: libcsfml-audio2.6
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
@@ -70,7 +72,7 @@
  The Audio library is used to play sound and music in games. It is able to
  load OGG/Vorbis files.
 
-Package: libcsfml-graphics2.5
+Package: libcsfml-graphics2.6
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
@@ -86,7 +88,7 @@
  The Graphics library contains all the OpenGL and drawing code. It needs the
  Window library for Window creation.
 
-Package: libcsfml-system2.5
+Package: libcsfml-system2.6
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
@@ -102,7 +104,7 @@
  The system library brings useful system utilities like multithreading and
  UNICODE handling
 
-Package: libcsfml-network2.5
+Package: libcsfml-network2.6
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
@@ -117,7 +119,7 @@
  .
  The Network Library brings basic networking support as needed by games.
 
-Package: libcsfml-window2.5
+Package: libcsfml-window2.6
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
