=== debian/watch ===
# See uscan(1) for format
version=4

# From GitHub
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/CSFML-$1.tar.gz/ \
  https://github.com/SFML/CSFML/tags .*/v?(\d\S*)\.tar\.gz
