=== src/SFML/CMakeLists.txt ===
--- 
+++ 
@@ -21,14 +21,40 @@
     set(SFML_STATIC_LIBRARIES TRUE)
     add_definitions(-DSFML_STATIC)
 endif()
-find_package(SFML 2.6 COMPONENTS network graphics audio REQUIRED)
+set(SFML_MODULES "system")
+if(CSFML_BUILD_AUDIO)
+    list(PREPEND SFML_MODULES "audio")
+endif()
+if(CSFML_BUILD_GRAPHICS)
+    list(PREPEND SFML_MODULES "graphics")
+endif()
+if(CSFML_BUILD_WINDOW)
+    list(PREPEND SFML_MODULES "window")
+endif()
+if(CSFML_BUILD_NETWORK)
+    list(PREPEND SFML_MODULES "network")
+endif()
+find_package(SFML 2.6 COMPONENTS ${SFML_MODULES} REQUIRED)
 
 # add the modules subdirectories
 add_subdirectory(System)
-add_subdirectory(Window)
-add_subdirectory(Network)
-add_subdirectory(Graphics)
-add_subdirectory(Audio)
+
+if(CSFML_BUILD_WINDOW OR CSFML_BUILD_GRAPHICS)
+    add_subdirectory(Window)
+endif()
+
+if(CSFML_BUILD_NETWORK)
+    add_subdirectory(Network)
+endif()
+
+if(CSFML_BUILD_GRAPHICS)
+    add_subdirectory(Graphics)
+endif()
+
+if(CSFML_BUILD_AUDIO)
+    add_subdirectory(Audio)
+endif()
+
 if(SFML_OS_WINDOWS)
     add_subdirectory(Main)
 endif()
