=== src/SFML/System/CMakeLists.txt ===
--- 
+++ 
@@ -6,6 +6,8 @@
 set(SRC
     ${PROJECT_SOURCE_DIR}/include/SFML/GPUPreference.h
     ${INCROOT}/Export.h
+    ${SRCROOT}/Alloc.cpp
+    ${INCROOT}/Alloc.h
     ${SRCROOT}/Buffer.cpp
     ${SRCROOT}/BufferStruct.h
     ${INCROOT}/Buffer.h
