=== src/SFML/Window/CMakeLists.txt ===
--- 
+++ 
@@ -29,9 +29,14 @@
     ${INCROOT}/Types.h
     ${SRCROOT}/VideoMode.cpp
     ${INCROOT}/VideoMode.h
+    ${SRCROOT}/Vulkan.cpp
+    ${INCROOT}/Vulkan.h
     ${SRCROOT}/Window.cpp
+    ${SRCROOT}/WindowBase.cpp
     ${SRCROOT}/WindowStruct.h
+    ${SRCROOT}/WindowBaseStruct.h
     ${INCROOT}/Window.h
+    ${INCROOT}/WindowBase.h
     ${INCROOT}/WindowHandle.h
 )
