=== debian/changelog ===
libcsfml (2.6.1-1) unstable; urgency=medium

  * New upstream release.

  * d/control: Bump standards version.
  * d/*.symbols: Add new symbols.

 -- James Cowgill <jcowgill@debian.org>  Fri, 09 Aug 2024 19:07:50 +0100
