=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: libcsfml
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
+Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders:
  James Cowgill <jcowgill@debian.org>
 Build-Depends:
@@ -11,7 +10,7 @@
  doxygen,
  libsfml-dev (>= 2.6)
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://www.sfml-dev.org
 Vcs-Git: https://salsa.debian.org/games-team/libcsfml.git
 Vcs-Browser: https://salsa.debian.org/games-team/libcsfml
