=== debian/tests/control ===
Tests: build
Depends: gcc, libc-dev, libcsfml-dev, pkg-config
